All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::OnDiskInvertedLists::OngoingPrefetch Struct Reference

## Classes

struct | Thread

## Public Member Functions

| OngoingPrefetch (const OnDiskInvertedLists *od)
void | prefetch_lists (const long *list_nos, int n)

## Static Public Member Functions

static void * | prefetch_list (void *arg)

## Public Attributes

std::vector< Thread > | threads
pthread_mutex_t | mutex
const OnDiskInvertedLists * | od

## Static Public Attributes

static int | global_cs = 0

## Detailed Description

Definition at line 142 of file OnDiskInvertedLists.cpp.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/OnDiskInvertedLists.cpp